Bug 43074 - Dev-Tools: Remove directories meta-inf and univention-repository completely
Dev-Tools: Remove directories meta-inf and univention-repository completely
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: App Center
UCS 4.1
Other Linux
: P5 normal (vote)
: UCS 4.1-4-errata
Assigned To: Dirk Wiesenthal
Felix Botner
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-11-29 17:16 CET by Dirk Wiesenthal
Modified: 2016-12-07 13:48 CET (History)
0 users

See Also:
What kind of report is it?: Bug Report
What type of bug is this?: 2: Improvement: Would be a product improvement
Who will be affected by this bug?: 1: Will affect a very few installed domains
How will those affected feel about the bug?: 5: Blocking further progress on the daily work
User Pain: 0.057
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dirk Wiesenthal univentionstaff 2016-11-29 17:16:04 CET
univention-app dev-setup-local-appcenter --revert only removes /var/www/{meta-inf,univention-repository}/4.1. It should also remove the parent directories.

Should not be a big deal, it is not really a widely used function. And if, probably nobody relies on (an empty) /var/www/meta-inf.

But currently, tests fail because of this. Even an /var/www/meta-inf causes certain App Tests to raise an Exception instead of running.

Not removing the directory was there so you could have a 4.1-App Center and a 4.2-App Center and only revert one of them. I guess this does not matter at all.
Comment 1 Dirk Wiesenthal univentionstaff 2016-11-29 17:16:55 CET
univention-appcenter (5.0.23-14)
Comment 2 Felix Botner univentionstaff 2016-12-02 14:07:14 CET
OK - YAML
OK - univention-app dev-setup-local-appcenter --revert removes /var/www/meta-inf
     and /var/www/univention-repository
OK - merged to 4.2-0
Comment 3 Janek Walkenhorst univentionstaff 2016-12-07 13:48:07 CET
<http://errata.software-univention.de/ucs/4.1/351.html>